datacache <- new.env(hash=TRUE, parent=emptyenv())

ri16cod <- function() showQCData("ri16cod", datacache)
ri16cod_dbconn <- function() dbconn(datacache)
ri16cod_dbfile <- function() dbfile(datacache)
ri16cod_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
ri16cod_dbInfo <- function() dbInfo(datacache)

ri16codORGANISM <- "Rattus norvegicus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "ri16cod.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("RATCHIP_DB", "ri16cod", "chip ri16cod", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(ri16cod_dbconn())
}

